# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Jun 11 13:07:19 2024
# ------------------------------------------------

package:
  name: ucsc-genepredtogtf
  version: '465'
source:
  patches:
    - include.patch
  sha256: eef17b1f3182d1d9dc99b5c73a6b0468d5d3bd80470f25d3f7706cc1372e04b0
  url: http://hgdownload.cse.ucsc.edu/admin/exe/userApps.archive/userApps.v465.src.tgz
build:
  number: '0'
  run_exports:
    - ucsc-genepredtogtf >=465
  string: h9fe62a2_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_14
    - binutils_impl_linux-aarch64 2.40 hf54a868_3
    - binutils_linux-aarch64 2.40 h1f91aba_6
    - gcc_impl_linux-aarch64 12.3.0 h3d98823_7
    - gcc_linux-aarch64 12.3.0 hfa4a1bf_6
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_14
    - ld_impl_linux-aarch64 2.40 h9fc2d93_3
    - libgcc-devel_linux-aarch64 12.3.0 h26e3b9f_107
    - libgcc-ng 13.2.0 he277a41_7
    - libgomp 13.2.0 he277a41_7
    - libsanitizer 12.3.0 h57e2e72_7
    - libstdcxx-ng 13.2.0 h3f4de04_7
    - make 4.3 h309ac5b_1
    - sysroot_linux-aarch64 2.17 h5b4a56d_14
  host:
    - _openmp_mutex 4.5 2_gnu
    - ca-certificates 2024.6.2 hcefe29a_0
    - libgcc-ng 13.2.0 he277a41_7
    - libgomp 13.2.0 he277a41_7
    - libopenssl-static 3.3.1 h68df207_0
    - libpng 1.6.43 h194ca79_0
    - libstdcxx-ng 13.2.0 h3f4de04_7
    - libuuid 2.38.1 hb4cce97_0
    - libzlib 1.2.13 h68df207_6
    - mysql-connector-c 6.1.11 h8945da3_1008
    - openssl 3.3.1 h68df207_0
    - zlib 1.2.13 h68df207_6
  run:
    - libgcc-ng >=12
    - libopenssl-static
    - libpng >=1.6.43,<1.7.0a0
    - libuuid >=2.38.1,<3.0a0
    - libzlib >=1.2.13,<2.0a0
    - mysql-connector-c >=6.1.11,<6.1.12.0a0
    - zlib
test:
  commands:
    - test -x ${PREFIX}/bin/genePredToGtf
about:
  home: http://hgdownload.cse.ucsc.edu/admin/exe/
  license: varies; see http://genome.ucsc.edu/license
  summary: Convert genePred table or file to gtf.
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
